import React, { FC } from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { HomePage } from './components/HomePage/HomePage';
import { AuthUser } from './components/AuthUser/AuthUser';

export const App: FC = () => (
  <Router>
    <div data-testid="App">
      <Switch>
        <Route path="/auth" component={AuthUser} />
        <Route exact path="/" component={HomePage} />
      </Switch>
    </div>
  </Router>
);
